Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#55221 - [libreoffice-fresh] doesn't work on Wayland

Attached to Project: Arch Linux
Opened by raneon (raneon) - Monday, 21 August 2017, 14:21 GMT
Last edited by Andreas Radke (AndyRTR) - Wednesday, 21 March 2018, 13:41 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andreas Radke (AndyRTR)
Architecture x86_64
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:LibreOffice doesn't work natively on Wayland (tested in KDE Plasma-Wayland)


Additional info:
* LibreOffice-fresh 5.4.0-2, Plasma-Wayland-Session 5.10.4-2


Steps to reproduce:
1. Remove Qt4
2. Run libreoffice with Wayland backend

$ GDK_BACKEND=wayland soffice

(soffice:7189): Gdk-WARNING **: Wayland compositor does not support xdg_shell interface, not using Wayland display

(soffice:7189): GLib-CRITICAL **: g_hash_table_destroy: assertion 'hash_table != NULL' failed


Fatal exception: Signal 11
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x12f8e)[0x7fb8321a5f8e]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3bdba)[0x7fb8321cedba]
/usr/lib/libc.so.6(+0x34920)[0x7fb831b63920]
/usr/lib/libgdk-3.so.0(gdk_error_trap_push+0x16)[0x7fb816ccc4e6]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x3d66c)[0x7fb8178df66c]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x3e256)[0x7fb8178e0256]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x3e6bb)[0x7fb8178e06bb]
/usr/lib/libreoffice/program/libvcllo.so(_Z7InitVCLv+0x2f2)[0x7fb82afb6ba2]
/usr/lib/libreoffice/program/libvcllo.so(+0x507246)[0x7fb82afb8246]
/usr/lib/libreoffice/program/libvcllo.so(_Z6SVMainv+0x32)[0x7fb82afb82b2]
/usr/lib/libreoffice/program/libsofficeapp.so(soffice_main+0x126)[0x7fb831f35fd6]
/usr/lib/libreoffice/program/soffice.bin(+0x78d)[0x555dcda9b78d]
/usr/lib/libc.so.6(__libc_start_main+0xea)[0x7fb831b4ff6a]
/usr/lib/libreoffice/program/soffice.bin(+0x7ca)[0x555dcda9b7ca]
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Wednesday, 21 March 2018, 13:41 GMT
Reason for closing:  Upstream
Comment by Andreas Radke (AndyRTR) - Monday, 21 August 2017, 14:51 GMT
Please test it with gtk3 vcl. Afaik that's the only vcl that should be supported so far under Wayland. I've never tested Wayland so far. Please search for upstream bugs/support.
Comment by Johan Klokkhammer Helsing (johanhelsing) - Monday, 21 August 2017, 15:31 GMT
The problem is probably that gtk removed support for xdg_shell v5 when it added support for v6, while kwin only supports xdg_shell v5. (It's a wayland protocol extension).

This will probably be fixed when kwin gets updated with v6 support (or when the stable version of xdg_shell comes out).

https://phabricator.kde.org/T4450

Note: You should still be able to test libreoffice under weston, gnome-shell or another compositor with v6 support.

Loading...